API docs / Subscriptions

API Reference

Subscriptions

Manage OnlyFans subscribers programmatically: list active subscribers, view subscription history, handle free trials, and track subscriber counts with the OFManager API.

Subscription routes let you query your subscriber lists, manage active subscriptions, view history, and handle free trials.

List subscribers

Get a list of subscribers to your account:

const [error, subs] = await account.request(
  "GET /subscriptions/subscribers",
  {
    query: {
      limit: 10,
      type: "active",
    },
  },
)

if (!error) {
  for (const sub of subs.list) {
    console.log(sub.username, sub.subscribedByData?.price)
  }
}

List subscriptions (accounts you subscribe to)

const [error, subscribes] = await account.request(
  "GET /subscriptions/subscribes",
  { query: { limit: 10, type: "active" } },
)

Subscriber count

Get a quick count of all subscriber categories:

const [error, counts] = await account.request(
  "GET /subscriptions/count/all",
  {},
)

if (!error) {
  console.log(`Active: ${counts.subscribers.active}`)
  console.log(`Expired: ${counts.subscribers.expired}`)
}

Subscription history

View the subscription history for a specific user:

const [error, history] = await account.request(
  "GET /subscriptions/:id/history",
  { pathParams: { id: "987654321" } },
)

Subscribe / Unsubscribe

Subscribe to a user

const [error] = await account.request(
  "POST /users/:id/subscribe",
  { pathParams: { id: "987654321" } },
)

Unsubscribe from a user

const [error] = await account.request(
  "DELETE /users/:id/subscribe",
  { pathParams: { id: "987654321" } },
)

Trials

const [error, trials] = await account.request("GET /trials", {
  query: { limit: 20 },
})

Trial stats

const [error, stats] = await account.request("GET /trials/stats", {})

Trial chart data

const [error, chart] = await account.request("GET /trials/chart", {
  query: { startDate: "2026-01-01", endDate: "2026-03-31" },
})